-- Cached plans for adhoc SQL
SELECT cp.plan_handle, qp.query_plan, cp.objtype 
FROM sys.dm_exec_cached_plans  cp
CROSS APPLY sys.dm_exec_query_plan(cp.plan_handle) qp
WHERE qp.objtype ='adhoc';
GO

-- Cached plans for triggers
SELECT cp.plan_handle, qp.query_plan, cp.objtype 
FROM sys.dm_exec_cached_plans  cp
CROSS APPLY sys.dm_exec_query_plan(cp.plan_handle) qp
WHERE qp.objtype ='Trigger';
GO

-- Cached plans for all cached objects
SELECT cp.plan_handle, qp.query_plan, cp.objtype 
FROM sys.dm_exec_cached_plans  cp
CROSS APPLY sys.dm_exec_query_plan(cp.plan_handle) qp
GO

-- Cached plans for all executing
SELECT er.session_id, er.status, er.command, er.plan_handle, qp.query_plan
FROM sys.dm_exec_requests  er
CROSS APPLY sys.dm_exec_query_plan(er.plan_handle) qp
GO